/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM1.92-1
Display is Hardward I2C 2-Wire I2C Interface 
Tested and worked with: 
Works with Raspberry pi
****************************************************/

#include <bcm2835.h>
#include <stdio.h>
#include <time.h>
#include "sh1108.h"

char value[10] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9'};
int main(int argc, char **argv)
{
    time_t now;
    struct tm *timenow;
    if(!bcm2835_init())
    {
        return -1;
    }
    printf("OLED begin\r\n");
    SH1108_begin();
    printf("OLED bitmap\r\n");
    SH1108_bitmap(0, 0, PIC1, 128, 160);
    SH1108_display();
    bcm2835_delay(3000);
    printf("OLED clear\r\n");
    SH1108_clear();
    printf("OLED bitmap\r\n");
    SH1108_bitmap(0, 0, PIC2, 128, 160);
    SH1108_display();
    bcm2835_delay(3000);
    printf("OLED clear\r\n");
    SH1108_clear();
    printf("OLED display time\r\n");
    while(1)
    {
        time(&now);
        timenow = localtime(&now);

        SH1108_bitmap(0, 2, Signal816, 16, 8); 
        SH1108_bitmap(24, 2, Bluetooth88, 8, 8); 
        SH1108_bitmap(40, 2, Msg816, 16, 8); 
        SH1108_bitmap(64, 2, GPRS88, 8, 8); 
        SH1108_bitmap(90, 2, Alarm88, 8, 8); 
        SH1108_bitmap(112, 2, Bat816, 16, 8); 
 
	if((timenow->tm_sec % 2)==0)
        SH1108_string(10, 148, "www.buydisplay.com", 12, 0); 
        else
        SH1108_string(10, 148, "www.buydisplay.com", 12, 1); 

        SH1108_char3216(0, 64, value[timenow->tm_hour / 10]);
        SH1108_char3216(16, 64, value[timenow->tm_hour % 10]);
        SH1108_char3216(32, 64, ':');
        SH1108_char3216(48, 64, value[timenow->tm_min / 10]);
        SH1108_char3216(64, 64, value[timenow->tm_min % 10]);
        SH1108_char3216(80, 64, ':');
        SH1108_char3216(96, 64, value[timenow->tm_sec / 10]);
        SH1108_char3216(112, 64, value[timenow->tm_sec % 10]);
        
        SH1108_display();
    }
    bcm2835_i2c_end();
    bcm2835_close();
    return 0;
}

